Package org.pgpainless.algorithm

# Class AlgorithmSuite

java.lang.Object
org.pgpainless.algorithm.AlgorithmSuite

public class AlgorithmSuite extends Object
The `AlgorithmSuite` class is consulted when new OpenPGP keys are being generated to set preferred algorithms on the key.

## Constructor Summary

Constructors
Constructor
Description
`AlgorithmSuite(List<SymmetricKeyAlgorithm> symmetricKeyAlgorithms, List<HashAlgorithm> hashAlgorithms, List<CompressionAlgorithm> compressionAlgorithms)`

## Method Summary

Modifier and Type
Method
Description
`Set<CompressionAlgorithm>`
`getCompressionAlgorithms()`
`static AlgorithmSuite`
`getDefaultAlgorithmSuite()`
`Set<HashAlgorithm>`
`getHashAlgorithms()`
`Set<SymmetricKeyAlgorithm>`
`getSymmetricKeyAlgorithms()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AlgorithmSuite

public AlgorithmSuite(List<SymmetricKeyAlgorithm> symmetricKeyAlgorithms, List<HashAlgorithm> hashAlgorithms, List<CompressionAlgorithm> compressionAlgorithms)

## Method Details

### getSymmetricKeyAlgorithms

public Set<SymmetricKeyAlgorithm> getSymmetricKeyAlgorithms()

### getHashAlgorithms

public Set<HashAlgorithm> getHashAlgorithms()

### getCompressionAlgorithms

public Set<CompressionAlgorithm> getCompressionAlgorithms()

### getDefaultAlgorithmSuite

public static AlgorithmSuite getDefaultAlgorithmSuite()